# ComponentWithOutputs

interface ComponentWithOutputs : SoftwareComponent

Represents a component with output files.

#### Since

4.5

#### Inheritors

SwiftSharedLibrary
SwiftExecutable
SwiftStaticLibrary
CppSharedLibrary
CppExecutable
CppStaticLibrary

## Functions

getName
Link copied to clipboard
abstract fun getName(): String
getOutputs
Link copied to clipboard
abstract fun getOutputs(): FileCollection
Returns the outputs produced for this component.